Source Allow List Resource
Description
This resource is for manipulating individual source allow list entries. To create entries or modify in bulk, see the Zone Source Allow List Revision Resource
GET /src_allow_lists/:ID
Query an individual source allow list entry.
GET Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL Parameter | The unique numeric ID of the source allow list entry you are querying. | |
| global | No | Query Parameter | When querying the Default Zone (zone ID 0), can be set to true to return global allow list entries. By default only normal allow list entries will be returned. | false |
GET Response Values
| Name | Type | Description |
|---|---|---|
| data | JSON String | The configuration value for this entry, based on its list type: prefix- IPv4 or v6 string, with optional CIDR mask asn- The Autonomous System Number cc- The Country Code shared- The display name of the shared list |
| list_type | JSON String | The type that is being allow listed. Each allow list entry will only return one of these values: prefix, asn, cc, or shared. |
| raw_data | JSON String | The string presentation of the data for this allow list entry. Will change based on list_type. |
| count | JSON Number | This is the number of source allow list prefix resources that are consumed by this entry. Individual "ip" prefixes will always have a count of 1. ASN or CC entries will depend on the size of their respective entities. |
| zone_id | JSON Number | The numeric zone ID of the zone containing this source allow list entry. |
| global_list | JSON Boolean | Whether or not this entry is a global allow list. Will only be returned true when specifically querying global entries against the Default Zone |
| traffic_type | JSON String | The type of traffic that is being allow listed. This will be either "TCP", "UDP", "ICMP", or "ALL". |
| description | JSON String | An optional description of the allow list entry. |
| src_allow_list_resource | JSON String | The source allow list resource for this entry. Should match the URL resource used in the get request. |
| zone_resource | JSON String | The zone resource for the zone that contains this allow list entry. |
| customer_resource | JSON String | This value is deprecated and should not be used. |
| group_resource | JSON String | The group resource that owns the zone containing this allow list entry. |
Example GET Request
GET /src_allow_lists/115116634
Example GET Response
{
"id": 115116634,
"data": "8.8.8.8",
"list_type": "prefix",
"raw_data": "8.8.8.8/32",
"count": 1,
"zone_id": 2031,
"traffic_type": "UDP",
"description": "",
"src_allow_list_resource": "/src_allow_lists/115116634",
"zone_resource": "/zones/2031",
"customer_resource": "/customers/279",
"group_resource": "/groups/279"
}
PUT /src_allow_lists/:ID
Update a source allow list entry. The allow list entry must be part of the current zone revision in order to do this.
PUT Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL Parameter | The unique numeric ID of the allow list entry to update. | |
| data | Yes | JSON String | The configuration value for this entry, based on its list type: prefix- IPv4 or v6 string, with optional CIDR mask asn- The Autonomous System Number cc- The Country Code | |
| list_type | Yes | JSON String | The type that is being allow listed. Entries can only be updated using types prefix, asn or cc. | |
| description | No | JSON String | The new description to use. | |
| traffic_type | Yes | JSON String | The type of traffic to allow list. Must be one of TCP, UDP, ICMP, or ALL. |
Example PUT Request
PUT /src_allow_lists/115116634
JSON Body:
{
"data" : {
"data": "8.8.8.8",
"list_type": "prefix",
"description": "Let all the Google traffic flow.",
"traffic_type": "ALL"
}
}
Example PUT Response
HTTP/1.1 200 OK
DELETE /src_allow_lists/:ID
Remove a source allow list entry. The allow list entry must be part of the current zone revision in order to do this.
DELETE Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL Parameter | The unique numeric ID of the source allow list entry to be removed. |
Example DELETE Request
DELETE /src_allow_lists/762174
Example DELETE Response
HTTP/1.1 200 OK